
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>盘点 Oracle 11g 中新特性带来的10大性能影响 / iVAN</title>

    <meta name="description" content="盘点 Oracle 11g 中新特性带来的10大性能影响 盘点 Oracle 11g 中新特性带来的10大性能影响 原创 2017-08-02 盖国强 数据和云 Oracle的任何一个新版本,总是会带来大量引人瞩目的新特性,但是往往在这些新特性引入之初,首先引起的是一些麻烦,因为对于新技术的不了解.因为对于旧环境的不适应,从Oracle产品到技术服务运维,总是要走过一个磨合的长期过程. 请注意:我们并不推荐大家盲目的关闭和摒弃Oracle的新特性,我们建议大家在遇到问题时,做出适合自己的调整. 就此盘点一下 Oracle 11g 中,那些新特性带来的新">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">盘点 Oracle 11g 中新特性带来的10大性能影响</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p><strong></strong><strong>盘点 Oracle 11g 中新特性带来的10大性能影响</strong><strong></strong></p>
<hr>
<hr>
<p>原创 2017-08-02 盖国强 数据和云</p>
<p>Oracle的任何一个新版本，总是会带来大量引人瞩目的新特性，但是往往在这些新特性引入之初，首先引起的是一些麻烦，因为对于新技术的不了解、因为对于旧环境的不适应，从Oracle产品到技术服务运维，总是要走过一个磨合的长期过程。</p>
<p><strong>请注意：我们并不推荐大家盲目的关闭和摒弃Oracle的新特性，我们建议大家在遇到问题时，做出适合自己的调整。</strong></p>
<p>就此盘点一下 Oracle 11g 中，那些新特性带来的新烦恼，如果有用户准备或者刚刚踏入这个新版本，则可以作为借鉴。</p>
<p><strong>1.Adaptive direct path read - 自适应的直接路径读</strong></p>
<p>在Oracle Database 11g中有一个新特性，全表扫描可以通过直接路径读的方式来执行（Direct Path Read），这是一个合理的变化，如果全表扫描的大量数据读取是偶发性的，则直接路径读可以避免大量数据对于Buffer Cache的冲击。</p>
<p>可是现实往往是残酷的：在很多业务系统中，全表扫描是普遍存在的常态，将大表的全表扫描全部转化为直接路径读，反而不如Cache在Buffer Cache中效率高，Direct Path Read反而成为了一个严重的负担。</p>
<p>当然对于小表来说，Oracle允许通过Buffer Cache来进行全表扫描，因为这可能更快，也对性能影响不大。小表受到隐含参数：_small_table_threshold 影响。如果表大于 5 倍的小表限制，则自动会使用DPR替代FTS。</p>
<p>如果遇到这个特性的负面影响，可以设置初始化参数： _serial_direct_read 来禁用串行直接路径读，其默认值为AUTO，设置为NEVER时禁用 11g 的自动direct path read的特性。该参数可以动态在实例或会话级别修改，而无需重启实例（可以结合Event 10949设置）。</p>
<blockquote><p>SQL&gt; alter system set "_serial_direct_read"=auto;</p>
<p>SQL&gt; alter system set "_serial_direct_read"=never;</p></blockquote>
<p>以下的AWR信息是典型的DPR症状，我们看到Direct Path Read在这个报告中处于最占用DB Time的部分：</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvcDIucHN0YXRwLmNvbS9sYXJnZS8zMjA1MDAwMWU1ZTdjOTIxYTkyOQ==.jpg"></p>
<p>请点击此处输入图片描述</p>
<p>如果结合ASH报告更加一目了然，显示全表扫描的SQL，都在以Direct Path Read的方式执行 Table Access Full：</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvcDMucHN0YXRwLmNvbS9sYXJnZS8zMWY4MDAwMGM5OGJmNzNhZGVkNg==.jpg"></p>
<p>请点击此处输入图片描述</p>
<p><strong>2. Adaptive Log File Sync - 自适应的Log File Sync</strong></p>
<p>关于 Log File Sync 等待的优化，在Oracle数据库中一直是常见问题，LOG FILE的写出性能一旦出现波动，该等待就可能十分突出。</p>
<p>在Oracle 11.2.0.3 版本中，Oracle 将隐含参数 _use_adaptive_log_file_sync 的初始值设置为 TRUE，由此带来了很多 Log File Sync 等待异常的情况，这个问题虽然由来已久，但是仍然有很多Oracle的用户并不知情。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvcDIucHN0YXRwLmNvbS9sYXJnZS8zMWZmMDAwMGJjNTZhMWY5OTIxNQ==.jpg"></p>
<p>请点击此处输入图片描述</p>
<p>当前台进程提交事务（commit）后，LGWR需要执行日志写出操作，而前台进程因此进入 Log File Sync 等待周期。</p>
<p>在以前版本中，LGWR 执行写入操作完成后，会通知前台进程，这也就是 Post/Wait 模式；在11gR2 中，为了优化这个过程，前台进程通知LGWR写之后，可以通过定时获取的方式来查询写出进度，这被称为 Poll 的模式，在11.2.0.3中，这个特性被默认开启。这个参数的含义是：数据库可以在自适应的在 post/wait 和 polling 模式间选择和切换。</p>
<p> _use_adaptive_log_file_sync 参数的解释就是： Adaptively switch between post/wait and polling ，正是由于这个原因，带来了很多Bug，反而使得 Log File Sync 的等待异常的高，如果你在 11.2.0.3 版本中观察到这样的表征，那就极有可能与此有关。</p>
<p>在遇到问题是，通常将 _use_adaptive_log_file_sync 参数设置为 False，回归以前的模式，将会有助于问题的解决。</p>
<p><strong>3. Adaptive Cursor Sharing - 自适应游标共享</strong></p>
<p>Oracle数据库的SQL使用的是共享机制，通过绑定变量可以使Oracle DB 可以为多条SQL 语句共享单个游标，以减少分析SQL 语句所使用的共享内存和CPU资源等。</p>
<p>然而一个执行计划并不总是适用于所有绑定值，为了尽可能生成准确的执行计划，Oracle Database 11g 引入了自适应游标共享的新特性，在执行共享SQL时考虑更多的因素，如果与资源开销相比，使用多个执行计划所带来的收益更重要，则会为使用绑定变量的每条SQL 语句生成多个执行计划。</p>
<p>Adaptive Cursor Sharing 通过自适应游标共享，可以仅针对使用绑定变量的语句智能地共享游标。但是<strong>有时候这个特性会使得确定的执行计划变得不稳定</strong>，如果你确定系统中无需额外自适应的分析和变更执行计划，或者可能被不稳定的执行计划影响。那么可能需要调整这个特性的使用。</p>
<p>关闭这个特性，可以设置隐含参数：</p>
<blockquote><p>SQL&gt; alter session set"_optimizer_extended_cursor_sharing_rel"=none; </p>
<p>SQL&gt; alter session set"_optimizer_extended_cursor_sharing"=none; </p>
<p>SQL&gt; alter session set"_optimizer_adaptive_cursor_sharing"=false;</p></blockquote>
<p><strong>4.Oracle 11g 密码延迟认证</strong></p>
<p>在 Oracle 11g 中，为了提升安全性，Oracle 引入了『密码延迟验证』的新特性。这个特性的作用是，如果用户输入了错误的密码尝试登录，那么随着登录错误次数的增加，每次登录前验证的时间也会增加，以此减缓可能对于数据库重复的口令尝试攻击。</p>
<p>但是对于正常的系统，由于口令的更改，可能存在某些被遗漏的客户端，不断重复尝试，从而引起数据库内部长时间的 Library Cache Lock的等待，这种情形非常常见。</p>
<p>如果遇到这一类问题，可以通过Event 28401关闭这个特性，从而消除此类影响，以下命令将修改设置在参数文件中：</p>
<blockquote><p>ALTER SYSTEM SET EVENT =</p>
<p> '28401 TRACE NAME CONTEXT FOREVER, LEVEL 1' SCOPE = SPFILE;</p></blockquote>
<p>出现这类问题非常典型的AWR报告呈现如下，首先在 TOP 5 中，你可能看到显著的 Library Cache Lock 的等待，以下范例来自11.2.0.3.0版本的真实情况：</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvcDMucHN0YXRwLmNvbS9sYXJnZS8zMWY4MDAwMGM5ODkyOTZjMTVkZA==.jpg"></p>
<p>请点击此处输入图片描述</p>
<p>在这类情况下，时间模型 - Time Model 中会显示如下指标，其中 connection management call elapsed time 占据了主要的DB Time，这个等待直接表明是在建立数据库连接时产生的：</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvcDIucHN0YXRwLmNvbS9sYXJnZS8zMjA1MDAwMWU1ZTgwMzRhMWIxMw==.jpg"></p>
<p>请点击此处输入图片描述</p>
<p>这类问题，在Oracle的11g中是常见和确定的，在MOS上可以找到相应的记录：<strong>High 'library cache lock' Wait Time Due to Invalid Login Attempts(1309738.1）</strong>此外Oracle 11g开启了密码大小写验证，如果从Oracle 10g升级过来，需要特别的当心这个变化，通过初始化参数SEC_CASE_SENSITIVE_LOGON 可以来控制这个特性。</p>
<p><strong>5. _datafile_write_errors_crash_instance - 文件写错误终止实例</strong></p>
<p>从Oracle 11.2.0.2版本开始，一个新的隐含参数 - _datafile_write_errors_crash_instance 被引入到数据库中，通过这个参数名就可以了解到其含义：当发生数据文件写错误时，Crash数据库实例。</p>
<p><strong>为什么要引入这个参数呢？这个参数后台解决的是什么问题呢？</strong></p>
<p>我在《数据安全警示录》一书上曾经写过多个案例，在归档模式下当发生文件（非SYSTEM文件）写错误时，Oracle会自动将数据文件离线，这造成了很多灾难，类似的错误日志可能是这样的：</p>
<blockquote><p>Fri Jan 13 19:32:21 2013</p>
<p>KCF: write/open error block=0xf1fa6 online=1</p>
<p>     file=73 /dev/rods_gm05</p>
<p>     error=27063 txt: 'IBM AIX RISC System/6000 Error: 22: Invalid argument</p>
<p>Additional information: -1</p>
<p>Additional information: 557056'</p>
<p>Automatic datafile offline due to write error on</p>
<p>file 73: /dev/rods_gm05</p></blockquote>
<p>鉴于很多用户遇到的困境，Oracle做出了修正，这一修正在MOS上以BUG形式被提交，其内容为：Bug 7691270  Crash the DB in case of write errors (rather than just offline files) 。</p>
<p>在11.2.0.2之前，如果数据库运行在归档模式下，并且写错误发生在非SYSTEM表空间文件，则数据库会将发生错误的文件离线，在从11.2.0.2开始，数据库会Crash实例以替代Offline。<strong>注意：在非归档模式下或者SYSTEM遭受错误时，数据库会直接崩溃。</strong></p>
<p>好了，现在答案清楚了：为了解决数据文件损失，离线控制存在的不确定性风险，Oracle引入的 _datafile_write_errors_crash_instance 控制数据库实例直接崩溃。</p>
<p>如果你不能接受这一选择，那么设置参数 _datafile_write_errors_crash_instance 为False。</p>
<p><strong>6. _optimizer_use_feedback - 优化器的基数反馈</strong></p>
<p>Cardinality Feedback - 基数反馈，是Oracle 11.2中引入的新特性，这个新特性利用SQL执行过程中的信息采集，动态的调整执行计划，以解决统计信息陈旧、无直方图或基于直方图基数计算不准确等情况。</p>
<p>Oracle希望由此提升执行计划的准确性，但是在某些情况下，我们可能遇到SQL 第一次执行性能最好，之后再运行其性能变差的情况。</p>
<p>初始化参数 _optimizer_use_feedback 可以控制这个特性的启用，设置为False关闭了这个特性：</p>
<blockquote><p>alter system set "_optimizer_use_feedback"=false;</p></blockquote>
<p><strong>7. deferred_segment_creation - 延迟段创建</strong></p>
<p>在Oracle 11.2中， 当我们创建一个空表或者空分区时，为了加快创建速度，Oracle并不会立即分配初始段和空间，实际的表段Table Segement被延迟到第一行数据插入时创建。</p>
<p>该功能通过DEFERRED_SEGMENT_CREATION参数启用，默认为TRUE。延迟段创建可以节省空间，加快初始化过程，是面向性能和资源的一个优化。</p>
<p>这个新特性带来的一个问题是，在使用 exp / imp 进行导出导入时，不会包含这些空表，可能导致遗漏对象。</p>
<p>如果觉得这个特性是困扰，可以通过修改参数关闭这个特性：</p>
<blockquote><p>alter system set deferred_segment_creation=flase sscope=spfile;</p></blockquote>
<p><strong>8. _resource_manager_always_on - 资源管理器</strong></p>
<p>在11g中，Oracle的资源管理器缺省被启用，并且时常发挥作用，并可能引发竞争。</p>
<p>你可能在TOP 5事件中看到类似的情景：</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvcDIucHN0YXRwLmNvbS9sYXJnZS8zMWY5MDAwMWU1YThjNmUyM2E2Yw==.jpg"></p>
<p>请点击此处输入图片描述</p>
<p>有两个参数配合设置，可以在你不需要资源管理器时彻底关闭这个隐含的控制：</p>
<blockquote><p>SQL&gt; alter system set "_resource_manager_always_off"=true scope=spfile; </p>
<p>SQL&gt; alter system set "_resource_manager_always_on"=false scope=spfile;</p></blockquote>
<p><strong>9. _gc_policy_time - RAC集群中的DRM管理</strong></p>
<p>DRM是 Dynamic Resource Management 的简称，意思就是动态资源管理。在Oracle RAC中，所有的数据块（Data block）都有一个实例作为主实例进行管理，叫做Master，Master 负责照看好自己所管辖的data block的状态，包括锁定等，并对跨实例访问进行授权。</p>
<p>如果能随着数据块的访问频繁动态的修改数据块的master节点，那么对应GC的grant message则会大量的减少。基于以上考虑，DRM特性应运而生。但是早期的DRM在进行 re-master的过程中长长带来短时的性能影响，在很多重要环境中，这是不能忍受的。</p>
<p>如果希望关闭DRM这个特性，可以结合设置 _gc_policy_time 和  _gc_undo_affinity :</p>
<blockquote><p>alter system set "_gc_policy_time" = 0 scope=spfile;</p>
<p>alter system set "_gc_undo_affinity" = false scope=spfile;</p></blockquote>
<p><strong>10. _cleanup_rollback_entries 、_undo_autotune - UNDO的清理和调整</strong></p>
<p>在UNDO的管理中，如何设置保留时间，清理回滚段条目，释放UNDO空间，在高事务率的数据库中非常重要。</p>
<p>_cleanup_rollback_entries - 指定回滚时每次回滚的ENTRIES个数，默认为100，可以设置更高提升回滚速度；</p>
<p>_undo_autotune - 用于自动调整undo retention时间，设置 _undo_autotune=true，则undo_retention不再适用，Oracle会自行决定tuned_undo_retention；</p>
<p>以下设置在需要时对这些特性做出调整：</p>
<blockquote><p>alter system set "_undo_autotune" = false scope=spfile;</p>
<p>alter system set "_cleanup_rollback_entries" = 1000 scope=spfile;</p></blockquote>
<hr>
<hr>
<blockquote><p><strong>About Me</strong></p>
<table>
<tbody>
<tr>
<td>
					<br />.............................................................................................................................................</p>
<p>● 本文来自于 盖国强 数据和云</p>
<p>● 本文在itpub（<a href="http://blog.itpub.net/26736162/abstract/1/" rel="external nofollow noreferrer">http://blog.itpub.net/26736162/abstract/1/</a>）、博客园（<a href="http://www.cnblogs.com/lhrbest" rel="external nofollow noreferrer">http://www.cnblogs.com/lhrbest</a>）和个人微信公众号（<a href="http://mp.weixin.qq.com/s?__biz=MzIzOTA2NjEzNQ==&amp;mid=307287619&amp;idx=1&amp;sn=9149fab6ae1aecfd1288316c5edc3805&amp;scene=19#wechat_redirect" rel="external nofollow noreferrer">xiaomaimiaolhr</a>）上有同步更新</p>
<p>● 本文itpub地址：<a href="http://blog.itpub.net/26736162/abstract/1/" rel="external nofollow noreferrer">http://blog.itpub.net/26736162/abstract/1/</a></p>
<p>● 本文博客园地址：<a href="http://www.cnblogs.com/lhrbest" rel="external nofollow noreferrer">http://www.cnblogs.com/lhrbest</a></p>
<p>● 本文pdf版、个人简介及小麦苗云盘地址：<a href="http://blog.itpub.net/26736162/viewspace-1624453/" rel="external nofollow noreferrer">http://blog.itpub.net/26736162/viewspace-1624453/</a></p>
<p>● 数据库笔试面试题库及解答：<a href="http://blog.itpub.net/26736162/viewspace-2134706/" rel="external nofollow noreferrer">http://blog.itpub.net/26736162/viewspace-2134706/</a></p>
<p>● DBA宝典今日头条号地址：<a href="http://www.toutiao.com/c/user/6401772890/#mid=1564638659405826" rel="external nofollow noreferrer">http://www.toutiao.com/c/user/6401772890/#mid=1564638659405826</a></p>
<p>.............................................................................................................................................</p>
<p>● QQ群号：<strong>230161599</strong>（满）<strong>、618766405</strong></p>
<p>● 微信群：可加我微信，我拉大家进群，非诚勿扰</p>
<p>● 联系我请加QQ好友（646634621），注明添加缘由</p>
<p>● 于 2017-08-01 09:00 ~ 2017-08-31 22:00 在魔都完成</p>
<p>● 文章内容来源于小麦苗的学习笔记，部分整理自网络，若有侵权或不当之处还请谅解</p>
<p>● 版权所有，欢迎分享本文，转载请保留出处</p>
<p>.............................................................................................................................................</p>
<p>● 小麦苗的微店：<a href="https://weidian.com/s/793741433?wfr=c&amp;ifr=shopdetail%20" rel="external nofollow noreferrer">https://weidian.com/s/793741433?wfr=c&amp;ifr=shopdetail</a></p>
<p>● 小麦苗出版的数据库类丛书：<a href="http://blog.itpub.net/26736162/viewspace-2142121/" rel="external nofollow noreferrer">http://blog.itpub.net/26736162/viewspace-2142121/</a></p>
<p>.............................................................................................................................................</p>
<p>使用<strong>微信客户端</strong>扫描下面的二维码来关注小麦苗的微信公众号（<a href="http://mp.weixin.qq.com/s?__biz=MzIzOTA2NjEzNQ==&amp;mid=307287619&amp;idx=1&amp;sn=9149fab6ae1aecfd1288316c5edc3805&amp;scene=19#wechat_redirect" rel="external nofollow noreferrer">xiaomaimiaolhr</a>）及QQ群（DBA宝典），学习最实用的数据库技术。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tL2ltZ185NjE5MWQ2OTYyMWRjZDI5YzE3NzI2M2IxMzlhYzY3Ni5qcGc=.jpg"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tL2ltZ183YWQ3M2JkODRjOTUyMTc2MDFmMDY5ODkwOGEzOTcxOC5wbmc=.jpg"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tL2ltZ18yMzA5YTljZThmNjRhOWQ4NWZjMWQzOWUxZDRlOGY1ZC5wbmc=.jpg"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tL2ltZ183YWYwYjM3MTY5NDZiZGE1MDNhZjliNTY5MmFhYjg3MC5wbmc=.jpg"></p>
<p>   小麦苗的微信公众号      小麦苗的DBA宝典QQ群1     小麦苗的DBA宝典QQ群2        小麦苗的微店</p>
<p>.............................................................................................................................................</p>
</td>
</tr>
</tbody>
</table>
<table>
<tbody>
<tr>
<td>
						<a href="http://mail.qq.com/cgi-bin/qm_share?t=qm_mailme&amp;email=eRURCxscCg05CAhXGhYU" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tL2ltZ19lMzAyOWYyODdkOTg5Y2QwNGJkNzU0MzJlY2MxYzE3Mi5wbmc=.jpg"></a>
</td>
<td>
						<img src="/assets/blank.gif" data-echo="//pub.idqqimg.com/wpa/images/group.png">
</td>
<td>
						<img src="/assets/blank.gif" data-echo="//pub.idqqimg.com/wpa/images/group.png">
</td>
<td>
						<a href="http://wpa.qq.com/msgrd?v=3&amp;uin=646634621&amp;site=qq&amp;menu=yes" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvd3BhLnFxLmNvbS9wYT9wPTI6NjQ2NjM0NjIxOjQxJTIwJmFtcDtyPTAuMzA3MDkwMzA4NTE3MjE3NjQ=.jpg"></a>
					</td>
</tr>
</tbody>
</table>
</blockquote>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-01 04:57:24</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%95%b0%e6%8d%ae%e5%ba%93/" title="数据库">数据库</a>, <a href="https://www.iamivan.net/tag/oracle/" title="oracle">oracle</a>, <a href="https://www.iamivan.net/tag/sql/" title="sql">sql</a>, <a href="https://www.iamivan.net/tag/%e6%80%a7%e8%83%bd/" title="性能">性能</a>, <a href="https://www.iamivan.net/tag/cache/" title="Cache">Cache</a>, <a href="https://www.iamivan.net/tag/scope/" title="scope">scope</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>盘点 Oracle 11g 中新特性带来的10大性能影响的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zZO0GYb.html" rel="bookmark">Oracle 11g的新特性</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Oracle 11g于2007年7月11日美国东部时间11时(北京时间11日22时)正式发布,11g是甲骨文公司30年来发布的最重要的数据库版本,根据用户的需求实现了信息生命周期管理(Information Lifecycle Management)等多项创新. 一.新特性提纲 1.数据库管理部分 ◆数据库重演(Database Replay) 这一特性可以捕捉整个数据的负载,并且传递到一个从备份或者standby数据库中创建的测试数据库上,然后重演负责以测试系统调优后的效果. ◆SQL重演(S			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pk2lEjM.html" rel="bookmark">如何在oracle 11g 中导出空表</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  如何在oracle 11g 中导出空表 由于oracle 11g的 延迟段创建的新特性,导致在没有数据插入时,oracle是不会分配数据段的,进而导致exp 是不能导出11g数据库的空表的. 当然采用expdp就不存在这个问题了. expdp hr/hr schemas=hr dumpfile=expdp.dmp directory=dbtest conn hr/hr select TABLE_NAME,NUM_ROWS from user_tables; TABLE_NAME NUM_RO			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M1EY9xM.html" rel="bookmark">Oracle Database 12c新特性对企业影响的思考</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				当今的世界,是云的世界. 而关系型数据库管理系统 (RDBMS) 也正在发生一场重大变革 ---- 从固定的服务器和存储转向灵活的云部署,从存储优化的数据库管理转向内存优化的数据库管理. 新一代的数据库环境已经来临.传统数据库中的Oracle也发布了12C的版本,经过一段时间的使用和测试,我们感觉Oracle Database 12C能为我们提供进行创新的基础,并企业以安全.可靠且经济高效的方式进行IT管理.本文主要探讨12C中的几个对新特性带来的影响. 1. 多租户架构(Multitenant			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pXq2jyz.html" rel="bookmark">Oracle 11g中recyclebin参数的微小变化</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				SQL&gt; show parameter recyclebin NAME      TYPE  VALUE ------------------------------------ ----------- ------------------------------ recyclebin      string  on SQL&gt; alter system set recyclebin=off; alter system set recyclebin=off                    			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p5RqnWz.html" rel="bookmark">内存表-求高手解答，ORACLE 12C 中新加功能InMemory疑问</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 求高手解答,ORACLE 12C 中新加功能InMemory疑问 在SQLPLUS中设置完一些表为InMemory之后,后面进行维护时,有没有方法可以获取到哪些表为InMemory表 我测试重复设置InMemory和no InMemory,SQLPLUS中也不会有错误信息 SQL&gt; alter table test no inmemory; Table altered. SQL&gt; alter table test no inmemory; Table altered. SQL&gt;			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pm3NeBb.html" rel="bookmark">C＃7&period;0中新特性汇总&lowbar;C&num;教程</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				以下将是 C# 7.0 中所有计划的语言特性的描述.随着 Visual Studio &quot;15&quot; Preview 4 版本的发布,这些特性中的大部分将活跃起来.现在是时候来展示这些特性,你也告诉借此告诉我们你的想法! C#7.0 增加了许多新功能,并专注于数据消费,简化代码和性能的改善.或许最大的特性就是元祖和模式匹配,元祖可以很容易地拥有多个返回结果,而模型匹配可以根据数据的&quot;形&quot;的不同来简化代码.我们希望,将它们结合起来,从而使你的代码更加简洁高效,也可以使你更加			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M0Zjj8z.html" rel="bookmark">&lbrack;20111220&rsqb;listagg 11G的新特性&period;txt</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				[20111220]listagg 11G的新特性.txt 显示相关的数据在一行,找到一个站点,总结了N多方法: www.oracle-base.com/articles/misc/StringAggregationTechniques.php 我第一个知道的是:SELECT deptno,       LTRIM(MAX(SYS_CONNECT_BY_PATH(ename,','))       KEEP (DENSE_RANK LAST ORDER BY curr),',') AS empl			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zGw26oz.html" rel="bookmark">财富杂志：谷歌市场成功带来的10大启示</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				北京时间10月27日消息,美国知名财经杂志&lt;财富&gt;网络版刊文称,谷歌能够取得今天的市场成功,其实同谷歌的企业文化.市场战略.重视用户需求等因素息息相关:而谷歌的成功,至少能够为外界带来10大启示. 美国作家肯奥利塔(Ken Auletta)的新书&lt;谷歌搜索:我们所了解的世界尽头&gt;(Googled: the End of the World as We Know It)将于正下周正式发售.在该书写作过程中,奥利塔有机会接触了谷歌的大量内部文件,从而对谷歌的企业文化有着更深入了解. 奥			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/ba6dDNM.html" rel="bookmark">企业如何应对ITIL带来的10大影响</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				日前Compuware公司的LinhCo.Ho女士作为信息科技服务管理论坛itSMFSix Sigmafor IT Management 书籍的作者之一特别整理了以下资料对企业如何应对ITIL带来的10大影响做了解答. ITIL是一套不受供应商左右旨在协助机构提供优质http://www.aliyun.com/zixun/aggregation/13543.html&quot;&gt;IT服务的最佳实践方法它具有许多优势例如可以通过降低成本增长与灵活性增强竞争优势通过简化业务流程提高效率通过商业与IT运作			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/YbKrGaz.html" rel="bookmark" class="title">一个超强通用的分页显示函数</a>
					<div>
						分页|函数|显示 &lt;%Option ExplicitResponse.Buffer = TrueOn Error Resume NextDim StarTime,EndTime,Sql_Use, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLOG5vM.html" rel="bookmark" class="title">用VC&period;NET制作启动屏幕的新方法</a>
					<div>
						在利用VC++.net编程过程中,遇到制作启动屏幕的问题,几经试验,得出一种方便简单的制作方法. 基本原理是利用对话框窗口的特性,在启动时首先创建对话框,设置一个获得位图文件的句柄,利用Picture ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MW1B5Az.html" rel="bookmark" class="title">POJ 1860 Currency Exchange：最短路 Bellman-Ford</a>
					<div>
						Currency Exchange:http://poj.org/problem?id=1860 大意:有多种货币,之间可以交换,但是需要手续费,也就是说既有汇率又有手续费.问经过交换之后能不能赚.  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGjmaop.html" rel="bookmark" class="title">Delphi与DirectX之DelphiX&lpar;75&rpar;&colon; TDIB&period;FadeOut&lpar;&rpar;、FadeIn&lpar;&rpar;&semi;</a>
					<div>
						本例效果图: 代码文件: unit Unit1; interface uses Windows, Messages, SysUtils, Variants, Classes, Graphics, Co ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyrGw5p.html" rel="bookmark" class="title">HTML5中div、article、section的区别</a>
					<div>
						  最近正在学习html5,刚接触html5,感觉有点不适应,因为有一些标签改变了,特别是div, section article这三个标签,查了一些资料,也试着用html5和css3布局网页,稍微有 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJ7gNJb.html" rel="bookmark" class="title">PS简单给偏暗的人物图片美白及锐化处理</a>
					<div>
						人物美白的方法有很多,本教程介绍的为较为常用的高光选区调白方法.大致过程:给人物磨皮之后调出RGB通道的高光选区,把选区反选后用曲线把暗部调白.然后再调出高光选区把高光部分也稍微调白.通过这几步操作人 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwlkwdb.html" rel="bookmark" class="title">C&num;中ArrayList的使用方法</a>
					<div>
						 这篇文章主要介绍了 System.Collections.ArrayList类是一个特殊的数组.通过添加和删除元素,就可以动态改变数组的长度.   一．优点   1.支持自动改变大小的功能 2.可以 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6eYmLb.html" rel="bookmark" class="title">javascript中的原型链深入理解</a>
					<div>
						 要弄清楚原型链就要先弄清楚 function 类型,在javascript中没有类的概念,都是函数,所以它是一门函数式的编程语言 要弄清楚原型链就要先弄清楚 function 类型,在javascr ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/badq2mz.html" rel="bookmark" class="title">Word2013怎样使用字符度量单位</a>
					<div>
						  第1步,打开Word2013文档窗口,依次单击&quot;文件&quot;→&quot;选项&quot;按钮. 第2步,打开&quot;Word选项&quot;对话框,切换到&quot;高级&qu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z72gjZp.html" rel="bookmark" class="title">龙卷风网络收音机怎么用</a>
					<div>
						  第一步:先安装(安装步骤就不跟大家分享了),打开收音机,在右边列表选取电台,任意点击要收听的电台,即可在线播放 第二步:看到有喜欢的歌曲则可正在播放歌曲状态下,在主板面先点击&quot;录音&qu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq8ymeb.html" rel="bookmark" class="title">电脑黑屏的解决参考方案</a>
					<div>
						我们常常在工作.学习或游戏中碰到电脑黑屏,令人生厌,但要想解决问题就必须查出原因,为此,电脑主题之家(www.51ztzj.com)总结了几种原因供大家参考. 一.电脑主机故障引起的黑屏故障: 1.主 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/badwyJz.html" rel="bookmark" class="title">ORA-12523&colon; TNS&colon; 监听程序无法找到适用于客户机连接的例程</a>
					<div>
						    今天使用PL/SQL Developer连接到一台新的测试服务器时,遇到ORA错误:ORA-12523: TNS: 监听程序无法找到适用于客户机连接的例程.对应的监听日志文件里面错误为TNS- ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5oBKab.html" rel="bookmark" class="title">zoj 长沙 Bizarre Routine 模拟</a>
					<div>
						     题目给了个快排程序,要求构造序列使比较次数等于except.      于是给定n,我们可以求出可以到达的最小比较次数,和最大比较次数,n*(n-1)/2      根据快排,每次划分,左边 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MArZdQp.html" rel="bookmark" class="title">社交背水一战？校园日记背后，支付宝野心你真能懂？</a>
					<div>
						&quot;校园日记&quot;昨天火了一天,我们也是时候来聊聊支付宝背后的具体战略和意图了.今天早上看到虎嗅的头条&lt;支付宝的&quot;圈子&quot;,阿里做社交的背水一战&gt;,文章观点 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MW2BkXb.html" rel="bookmark" class="title">为JS扩展Array&period;prototype&period;indexOf引发的问题探讨及解决&lowbar;javascript技巧</a>
					<div>
						Array没有indexOf方法,这样在一个数组中查找某个元素的索引时比较麻烦,为了调用方便,于是通过prototype原型扩展了Array.prototype.indexOf(),这样用起来就比较方 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmKRLlb.html" rel="bookmark" class="title">immutable&period;js 在React、Redux中的实践以及常用API简介</a>
					<div>
						简介 这个immutable Data 是什么鬼,有什么优点,好处等等,我就不赘述了,这篇Immutable 详解及 React 中实践讲的很透彻. 一个说明不可变的例子 这个可变和不可变是相对于 J ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3rW4gz.html" rel="bookmark" class="title">性能测试：SequoiaDB vs&period; MongoDB vs&period; Cassandra vs&period; HBase</a>
					<div>
						[编者按]在&lt;先锋&gt;系列的 事务.高性能,王涛谈打造超越MongoDB的NoSQL一文中,我们与王涛浅谈了高性能,拥有事务的SequoiaDB打造经验.应读者需求,从数据上解读各个NoSQ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOmd29M.html" rel="bookmark" class="title">pyAggr3g470r v2&period;6发布 Python开发的多线程新闻聚合器</a>
					<div>
						pyAggr3g470r 是一个用 Python 开发的多线程新闻聚合器,提供一个web接口和基于 SQLite 数据库. pyAggr3g470r http://www.aliyun.com/zix ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdRkWAb.html" rel="bookmark" class="title">php ZipArchive类创建和解压zip文件实例</a>
					<div>
						也能直接读取zip压缩包内的内容,很方便,这里主要总结下读取和解压的过程. 解压一个包到指定目录  代码如下 复制代码 &lt;?php $zip = new ZipArchive; if ($zip ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrXJXvz.html" rel="bookmark" class="title">丁香园冯大辉：360在企业安全领域更进一步</a>
					<div>
						2月17日上午消息,360方面证实,近日收购了访问日志分析工具日志宝,http://www.aliyun.com/zixun/aggregation/7380.html&quot;&gt;团队成员已经 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Myd7KEb.html" rel="bookmark" class="title">不受平台影响的裸机云&mdash;&mdash;Agile Hosting</a>
					<div>
						一些时候,因为对性能或者安全方面的考虑,使得客户并不太乐意接受由虚拟化基础设施提供的公共云或私有云.因此,越来越多的供应商们开始针对这个问题绞尽脑汁,而最近有一名分析师认为,现在对裸机云的需求已经变得 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrXZEyz.html" rel="bookmark" class="title">java 导入excel ，jar 包冲突</a>
					<div>
						问题描述 java 导入excel ,jar 包冲突 XSSFWorkbook 读取 07 excel 的对象, 在poi3.1 中是没有的, 进行文件导入的二次开发,以前项目只导入 03excel, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNjWl4M.html" rel="bookmark" class="title">能不能沟通，都要去沟通，合作才能继续工作</a>
					<div>
						最近有位刚做 PM(产品经理)的小伙跑来跟我控诉,说公司技术部的 RD 们(程序员)个个不给力.需求过了千百遍还是理解错,或者就是简单回一句&quot;做不了&quot;,表情如死灰. 这位 PM 血 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQj64oM.html" rel="bookmark" class="title">想用java编程实现求代数式最大值问题</a>
					<div>
						问题描述 函数f(x,y)=2xy+2y-x*x-2y*y用two-variable编程计算上面的最大值谢谢! 解决方案 解决方案二:java做得到么?关注中...解决方案三:是想用什么语言实现啊?问 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvngB5M.html" rel="bookmark" class="title">SparkSQL（Spark-1&period;4&period;0&rpar;实战系列（三）&mdash;&mdash;SparkSQL应用案例</a>
					<div>
						本节主要内容 数据准备 案例实战 数据准备 将实验数据Date.txt.Stock.txt.StockDetail.txt(hadoop fs -put /data /data)上传到HDFS上,如下 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxEwQQp.html" rel="bookmark" class="title">新型ASP后门源代码分析&lowbar;木马相关</a>
					<div>
						本是为了逃LAKER2兄 查ASP木马程序的  现在已经挑战成功,已经加为检查对象了.公布出代码给冰点的朋友使使,希望大家喜欢!  利用的是ADOX.Catalog组件  复制代码 代码如下: &lt ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYNZjep.html" rel="bookmark" class="title">php中call&lowbar;user&lowbar;func函数使用注意事项&lowbar;php技巧</a>
					<div>
						本文实例讲述了php中call_user_func函数使用注意事项.分享给大家供大家参考.具体分析如下: call_user_func函数的注意事项:parse error: syntax error ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyWA78z.html" rel="bookmark" class="title">javascript实现简单的Map示例介绍&lowbar;javascript技巧</a>
					<div>
						复制代码 代码如下: /* * MAP对象,实现MAP功能 * * 接口: * size() 获取MAP元素个数 * isEmpty() 判断MAP是否为空 * clear() 删除MAP所有元素 * ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7QK8rM.html" rel="bookmark" class="title">EXT中如何取grid中的第一条记录</a>
					<div>
						问题描述 如题,表格数据可能会刷新变化,如何才能取得当前的第一条记录的值呢? 解决方案 store.getAt(0) 取得第1个record api中:getAt( Number index ) :  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyWBW5z.html" rel="bookmark" class="title">VB&period;NET 如何调用明基扫描仪</a>
					<div>
						问题描述 求一个调用明基扫描仪进行拍照,存档的VB.NET的例子. 解决方案 本帖最后由 wx9288 于 2016-06-19 23:17:20 编辑解决方案二:可以试下.net下的twain插件, ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.034 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
